Bug 1016208 - Rebase to latest 3.8.x upstream
Rebase to latest 3.8.x upstream
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: ---
Assigned To: Bastien Nocera
Desktop QE
: Rebase
Depends On:
Blocks: 1016091
  Show dependency treegraph
 
Reported: 2013-10-07 13:30 EDT by Bastien Nocera
Modified: 2014-06-18 03:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:36:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2013-10-07 13:30:25 EDT
This is the current list of upstream changes from 3.8.5:

commit 23bf28d5c7f9d389e51171a95c3dc80e8cd2a076
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 7 12:37:45 2013 +0200

    network: Only start the spinner when we can stop it
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709555

commit 9688315178eb476c7343d451517b116c9226b3d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 7 12:22:57 2013 +0200

    network: Fix run-time warning
    
    The "edit" widget is only set as data when there is a connection
    (in make_row) so only hide it when there is a connection.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709555

commit 6923c4ca0882e4240e6f18acd64b33b3e55d6866
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri Oct 4 21:34:50 2013 +0200

    background: Fix a memory leak with wallpaper loading
    
    This removes an extra g_object_ref when inserting items to GtkListStore:
    the list store takes care of incrementing the reference count itself and
    the caller doesn't need to do it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709453

commit d236f40b2f7f507839fbb81ec6db9a35c662aef3
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri Oct 4 21:28:45 2013 +0200

    background: Fix reference counting in background XML loader
    
    Commit b9e3603ba4d6b494c0659cbc0196ef9f81fa6a60 added an unref to fix a
    memory leak, but it went to a wrong place -- in XML loader, all items
    are stored in a hash table that takes ownership of them, and destroyed
    when the hash table goes away.
    
    This commit fixes the reference counting in the XML loader and adds
    explicit g_object_ref / g_strdup when inserting values to the hash table
    to make the memory management more obvious.
    
    The following commit fixes the real leak.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709453

commit 6db70d1489cc72a58ffe7f99e8d37c91dc44e899
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 19:30:14 2013 +0200

    background: Align items in debug output

commit eeab3effcfd5278df3ab2fb454ea6ca6f1a4150c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 19:17:51 2013 +0200

    background: Dump the selected item in the test program

commit 732f8649bdf3c44c974b64b8aad692d700689d7c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 16:32:17 2013 +0200

    background: Fix a memory leak when monitoring directories
    
    Destroy directory monitors on when the XML object is destroyed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243
    
    Conflicts:
    	panels/background/cc-background-xml.c

commit 30dae71e55b981fdcf0b61a7e0ea5cfe17b51540
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 19:26:09 2013 +0200

    background: Fix double-free when closing the dialog
    
    9955f17d introduced a double-free.

commit 86e61a4eecbe7d07fab1224e3f995f0068ee8a9e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 18:15:25 2013 +0200

    background: Fix memory leak in XML signal handling
    
    When emitted in an idle, the item was correctly unref'ed, but not
    when emitting the signal straight away.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit 756b9e72ec0a122d450d1dd648c564e090146cd0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 16:31:25 2013 +0200

    background: Fix memory leaks in slideshow handling
    
    A string was leaked when loading the name of the slideshow,
    and a file object was left lingering as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit 4102ad266e34422284906de3b34652a24e2f6455
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 16:30:23 2013 +0200

    background: Fix memory leak in background item object
    
    Some fields were never freed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit c9c28e04cb57b00b9e2787a74dc3f76d4f6059d7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 16:29:46 2013 +0200

    background: Fix memory leak in Pictures source
    
    The enumerator was never unref'ed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit fba69ce079bfddcd6d40bf7b165373d2fdd48851
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 13:38:27 2013 +0200

    background: Add test program for the selection dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit 42f2f437f192c9bdb74d567355680d81115b8be8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 13:36:48 2013 +0200

    background: Fix leak of the Flickr source
    
    The Flickr source was never disposed of when destroying the
    selection dialog.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit fc4be32b76f56d5fd8019d84f2082f65aa49e91b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 13:36:19 2013 +0200

    background: Fix leak of the preview picture
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit 6094ea6478444a7b90db1787f8258ce819acebb0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 13:35:21 2013 +0200

    background: Fix memory leak in the picture sources
    
    The list store was taking a reference to the background item,
    so we need to unref it on our side to avoid leaking it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709243

commit 1ae79d7d4b274c3cb10c18e79f1d1dd030dd703d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 13 23:08:34 2013 -0300

    sharing: Forcefully enable the MediaExport plugin
    
    When enabling DLNA, also make sure to enable the plugin that
    we use to export the media to the TV or set-top-box, otherwise
    rygel won't export anything.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708055

commit 62c01003dd216368052760985d8915a2d02a49e4
Author: Thomas Wood <thomas.wood@intel.com>
Date:   Wed Oct 2 16:42:18 2013 +0100

    sharing: prevent duplicate folders being selected for media sharing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706661

commit 898261f54c76d7d22b083d2d526ddc832083dd8b
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 30 18:55:03 2013 +0200

    network: Update forget button sensitivity when rows are destroyed
    
    Doesn't make sense to keep it sensitive after the dialog returns OK.
    
    This also avoids using finalized objects if the forget button is
    clicked after some previously checked rows were destroyed because
    their connection got removed elsewhere.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709118

commit 7e2c0f80061812d0cd262ff7a64dcc95f6eddcfe
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 30 16:45:25 2013 +0200

    network: Destroy connection row widget when connection is removed
    
    Otherwise all sorts of crashes may happen if it's interacted with.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709104

commit 24ddec2fce139763863f29d673d5daafa0b8b96e
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 30 14:25:21 2013 +0200

    network: Just dismiss forget dialog if response is not OK
    
    If the dialog is deleted, for instance, we don't want to take that as
    OK.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709091

commit 8a171d0f2a428b07d430c766db5848e0e1563bd8
Author: Jan-Michael Brummer <jan.brummer@tabos.org>
Date:   Tue Sep 17 19:46:25 2013 +0200

    Sharing: Allow screen sharing approving without remote control enabled
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=703898

commit e59bfaaab70f86b56ad69aaf839c00e9a9ed43be
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Sep 20 17:19:30 2013 +0200

    network: Correctly unref NetDevice instances when needed
    
    We have to take the GtkListStore own reference into account.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708468

commit 33393772f8c3cf9d8bc369ab7bd06fd6669c71b8
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Sep 20 17:23:06 2013 +0200

    network/net-device-ethernet: Disconnect from NMConnection signals
    
    Otherwise we'll crash in our handler if the signal fires after we're
    finalized i.e. user leaves the network panel.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708468

commit f21f6017df17af99059bacb305bb946ecf3cc91c
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Sep 26 17:35:00 2013 +0200

    mouse: remove unnecessary acceleration value setting
    
    The acceleration value is set twice, because binding already exists.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708241

commit 6ef6bfbebf00379a6e43cf7f402ab80de6c6b41d
Author: Ondrej Holy <oholy@redhat.com>
Date:   Tue Sep 17 17:32:53 2013 +0200

    mouse: do not reset mouse speed when unset
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708241

commit eca75c2a5f014f3f765934723861ff8a74c15bc6
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Wed Sep 25 17:37:57 2013 +0300

    [l10n] Updated Turkish translation
Comment 2 Bastien Nocera 2013-10-31 11:38:05 EDT
Done in gnome-bluetooth-3.8.2.1-1.el7
Comment 4 Bastien Nocera 2013-10-31 13:07:39 EDT
(In reply to Bastien Nocera from comment #2)
> Done in gnome-bluetooth-3.8.2.1-1.el7

Done in control-center-3.8.6-1.el7 even (sorry, too many rebase bugs).
Comment 5 Vladimir Benes 2013-11-19 08:44:44 EST
control-center-3.8.6-1.el7.x86_64 available in compose
Comment 7 Ludek Smid 2014-06-13 08:36:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.